Package org.bukkit.material

# Class Coal

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Coal

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class Coal extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents the different types of coals.

## Constructor Summary

Constructors
Constructor
Description
`Coal()`
Deprecated.
`Coal(CoalType type)`
Deprecated.
`Coal(Material type)`
Deprecated.
`Coal(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Coal`
`clone()`
Deprecated.
`CoalType`
`getType()`
Deprecated.
Gets the current type of this coal
`void`
`setType(CoalType type)`
Deprecated.
Sets the type of this coal
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Coal

public Coal()
Deprecated.

### Coal

public Coal(CoalType type)
Deprecated.

### Coal

public Coal(Material type)
Deprecated.

### Coal

@Deprecated public Coal(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getType

public CoalType getType()
Deprecated.
Gets the current type of this coal

Returns:
  CoalType of this coal

### setType

public void setType(CoalType type)
Deprecated.
Sets the type of this coal

Parameters:
  `type` - New type of this coal

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Coal clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`